org.red5.server.exception

## Class ScopeNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.red5.server.exception.ScopeNotFoundException

All Implemented Interfaces:
  Serializable

    public class ScopeNotFoundException
    extends RuntimeException

Scope not found, thrown when child scope wasn't found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScopeNotFoundException(IScope scope, String childName)` Create exception from given scope object and given child subscope

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScopeNotFoundException

    public ScopeNotFoundException(IScope scope,
                          String childName)

Create exception from given scope object and given child subscope

Parameters:
  `scope` - Scope
  `childName` - Subscope name